View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000316OpenFOAM[All Projects] Bugpublic2011-10-18 17:232011-10-25 14:34
Reporterkris 
Assigned Tomattijs 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformUbuntuOS11.10OS Version
Product Version2.0.x 
Target VersionFixed in Version2.0.x 
Summary0000316: alphaSgsWallFunction no longer valid for alphaSgs
DescriptionI updated my version of 2.0.x to the latest git release today (18/10/11) and I am no longer able to use alphaSgsWallFunction as a boundary condition for alphaSgs.

So far I have had this issue with rhoPimpleFoam and mapFields.

Same cases worked fine before todays update.
Additional Information/*---------------------------------------------------------------------------*\
| ========= | |
| \\ / F ield | OpenFOAM: The Open Source CFD Toolbox |
| \\ / O peration | Version: 2.0.x |
| \\ / A nd | Web: www.OpenFOAM.org |
| \\/ M anipulation | |
\*---------------------------------------------------------------------------*/
Build : 2.0.x-40222d51b4bc
Exec : mapFields ../demoV6_50Hz -consistent
Date : Oct 18 2011
Time : 19:17:56
Host : CTFD
PID : 23872
Case : /home/kris/work/kris-2.0.x/demoV6/V6_0Hz
nProcs : 1
sigFpe : Enabling floating point exception trapping (FOAM_SIGFPE).
fileModificationChecking : Monitoring run-time modified files using timeStampMaster
allowSystemOperations : Disallowing user-supplied system call operations

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //
Source: ".." "demoV6_50Hz"
Target: "/home/kris/work/kris-2.0.x/demoV6" "V6_0Hz"

Create databases as time

Source time: 0.03
Target time: 0.03
Create meshes

Source mesh size: 1292634 Target mesh size: 4028213


Consistently creating and mapping fields for time 0.03

    interpolating alphaSgs


--> FOAM FATAL IO ERROR:
Unknown patchField type alphaSgsWallFunction for patch type wall

Valid patchField types are :

49
(
advective
buoyantPressure
calculated
codedFixedValue
cyclic
cyclicSlip
directMapped
directMappedField
directMappedFixedInternalValue
directMappedFixedPushedInternalValue
directionMixed
empty
fan
fanPressure
fixedFluxPressure
fixedGradient
fixedInternalValue
fixedPressureCompressibleDensity
fixedValue
freestream
freestreamPressure
inletOutlet
inletOutletTotalTemperature
mixed
nonuniformTransformCyclic
oscillatingFixedValue
outletInlet
outletMappedUniformInlet
partialSlip
processor
processorCyclic
rotatingTotalPressure
selfContainedDirectMapped
sliced
slip
symmetryPlane
syringePressure
timeVaryingMappedFixedValue
timeVaryingTotalPressure
timeVaryingUniformFixedValue
totalPressure
totalTemperature
turbulentInlet
turbulentIntensityKineticEnergyInlet
uniformDensityHydrostaticPressure
uniformFixedValue
waveTransmissive
wedge
zeroGradient
)


file: ../demoV6_50Hz/0.03/alphaSgs::boundaryField::sphere from line 1292664 to line 1292665.

    From function fvPatchField<Type>::New(const fvPatch&, const DimensionedField<Type, volMesh>&, const dictionary&)
    in file /home/kris/OpenFOAM/OpenFOAM-2.0.x/src/finiteVolume/lnInclude/fvPatchFieldNew.C at line 135.

FOAM exiting
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000718)
albertop (reporter)
2011-10-19 00:34

I cannot reproduce with OpenFOAM 2.0.x.

I changed "zeroGradient" to

lowerWall
{
  type alphaSgsWallFunction;
  value 1.0e-5; // A value I picked randomly
}

in the pitzDaily case, and rhoPimpleFoam works just fine.
(0000719)
kris (reporter)
2011-10-19 07:12

This is strange.

I guess i will have to try a clean install and report back asap.
(0000722)
kris (reporter)
2011-10-19 11:12

After a fresh install of openfoam-2.0.x via git the problem persists.

This definateley seems to be a problem with the latest release.
(0000726)
kris (reporter)
2011-10-19 16:15

What strikes me as strange is that although the patch in question is of type "wall", the suggested patchField types seem to be for inlets and outlets.

I also downloaded todays (19/10/11) update via git, but htere was no change. I still cannot use alphaSgsWallFunction.
(0000727)
albertop (reporter)
2011-10-19 18:33

Interesting. I have the latest git release too (I did not try a fresh install). Do you have compilation errors in some part of the build process? Did you try to reproduce the problem using the tutorial?
(0000729)
kris (reporter)
2011-10-20 02:47

I checked the log files and there were no errors during compilation.

I then tried the rhoPimpleFoam LES tutorial and it gets even stranger (note once again this is a fresh install with no errors on a system that ran OF 2.0.x perfectly before 18/10/11):

/*---------------------------------------------------------------------------*\
| ========= | |
| \\ / F ield | OpenFOAM: The Open Source CFD Toolbox |
| \\ / O peration | Version: 2.0.x |
| \\ / A nd | Web: www.OpenFOAM.org |
| \\/ M anipulation | |
\*---------------------------------------------------------------------------*/
Build : 2.0.x-0e3515146881
Exec : rhoPimpleFoam
Date : Oct 20 2011
Time : 04:41:16
Host : CTFD
PID : 6583
Case : /home/kris/OpenFOAM/OpenFOAM-2.0.x/tutorials/compressible/rhoPimpleFoam/les/pitzDaily
nProcs : 1
sigFpe : Enabling floating point exception trapping (FOAM_SIGFPE).
fileModificationChecking : Monitoring run-time modified files using timeStampMaster
allowSystemOperations : Disallowing user-supplied system call operations

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //
Create time

Create mesh for time = 0

Reading thermophysical properties

Selecting thermodynamics package hPsiThermo<pureMixture<constTransport<specieThermo<hConstThermo<perfectGas>>>>>
Reading field U

Reading/calculating face flux field phi

Creating turbulence model

Selecting turbulence model type LESModel


--> FOAM FATAL ERROR:
Unknown turbulenceModel type LESModel

Valid turbulenceModel types:

1
(
laminar
)


    From function turbulenceModel::New(const volScalarField&, const volVectorField&, const surfaceScalarField&, basicThermo&, const word&)
    in file turbulenceModel.C at line 116.

FOAM exiting
(0000730)
kris (reporter)
2011-10-20 02:53

I read in the changelog on gitk that the default gcc version was recently changed to 4.6.1 which is exactly the version installed on my system. I was using 4.6.1 without problems before, but it may have something to do with this update...
(0000735)
albertop (reporter)
2011-10-20 17:32

Using 4.5.1 on openSUSE 64 bit here without issues. I cannot comment on gcc 4.6.1 since I haven't tried it yet.
(0000738)
Marupio (reporter)
2011-10-21 16:49

I believe the cause is described in detail here:

https://fedoraproject.org/wiki/Features/ChangeInImplicitDSOLinking [^]

The page is Fedora-specific, but the problem is universal.
(0000739)
kris (reporter)
2011-10-21 21:26

Yea looks like you are right. Cheers.

I guess I'm downgrading to gcc-4.5 for the time being
(0000740)
wyldckat (reporter)
2011-10-22 14:27

When this problem started to happen with Fedora, an update was done to OpenFOAM's build rules, as seen in Issue 15: http://www.openfoam.com/mantisbt/view.php?id=15 [^]

But things now have gotten "worse", as shown here: http://wiki.debian.org/ToolChain/DSOLinking [^]
Additionally, when Binutils went up from 2.20 to 2.21, deprecated the "--add-needed" option, as shown here: http://sourceware.org/binutils/docs-2.21/ld/Options.html [^]

I tried to make a quick fix by changing in linux*Gcc/{c,c++}:
     -Xlinker --add-needed
to:
     -Xlinker --no-as-needed -Xlinker --copy-dt-needed-entries -Xlinker --add-needed

This seemed to fix linking issues but not all of them, as well as probably making a lot of the library links "clunkier"; but I don't have any benchmark/comparison to prove said "clunkiness", only an inference from the Debian article above.

Sooo... this could mean that OpenFOAM will have to start declaring more explicitly to "whom" applications are meant to link to ;)
(0000744)
Marupio (reporter)
2011-10-22 18:16

There's only about 15 Make/options files that need to change. These have been done already by the user community. See this thread: http://www.cfd-online.com/Forums/openfoam-installation/93405-openfoam-2-0-x-ubuntu-11-10-a.html [^]
(0000745)
kris (reporter)
2011-10-22 18:40

I followed those instructions, once by hand and another time using the fix uploaded to git and did not notice any change. I still get the same errors as before.

Could it be because i did a fresh install of Ubuntu instead of upgrading from 11.04?
(0000751)
mattijs (manager)
2011-10-25 14:34

Commit 07bf5ccf2f037a03eb310fa19a3e8d0e85b889d9

I've changed the link lines to

LINKLIBSO = $(CC) $(c++FLAGS) -shared -Xlinker --add-needed -Xlinker --no-as-needed
LINKEXE = $(CC) $(c++FLAGS) -Xlinker --add-needed -Xlinker --no-as-needed
                                                                                  
in architectures linuxGcc, linuxGcc45, linuxGcc46 and their 64bit versions and this solves the 11.10 problem. I checked on ubuntu10.04 (the oldest system I have) and it does not know the dt-copy-neededxxx so I've used the old form --add-needed.

Please let me know if there are any problems with this.

Thanks for reporting

- Issue History
Date Modified Username Field Change
2011-10-18 17:23 kris New Issue
2011-10-19 00:34 albertop Note Added: 0000718
2011-10-19 07:12 kris Note Added: 0000719
2011-10-19 11:12 kris Note Added: 0000722
2011-10-19 16:15 kris Note Added: 0000726
2011-10-19 18:33 albertop Note Added: 0000727
2011-10-20 02:47 kris Note Added: 0000729
2011-10-20 02:53 kris Note Added: 0000730
2011-10-20 17:32 albertop Note Added: 0000735
2011-10-21 13:51 kris Note Added: 0000737
2011-10-21 16:49 Marupio Note Added: 0000738
2011-10-21 21:26 kris Note Added: 0000739
2011-10-22 14:27 wyldckat Note Added: 0000740
2011-10-22 18:16 Marupio Note Added: 0000744
2011-10-22 18:40 kris Note Added: 0000745
2011-10-24 18:03 kris Note Deleted: 0000737
2011-10-25 14:34 mattijs Note Added: 0000751
2011-10-25 14:34 mattijs Status new => resolved
2011-10-25 14:34 mattijs Fixed in Version => 2.0.x
2011-10-25 14:34 mattijs Resolution open => fixed
2011-10-25 14:34 mattijs Assigned To => mattijs